# Uses of Class
com.fasterxml.jackson.datatype.jsr310.deser.MonthDayDeserializer

Packages that use MonthDayDeserializer
Package
Description
com.fasterxml.jackson.datatype.jsr310.deser

## Uses of MonthDayDeserializer in com.fasterxml.jackson.datatype.jsr310.deser

Fields in com.fasterxml.jackson.datatype.jsr310.deser declared as MonthDayDeserializer
Modifier and Type
Field
Description
`static final MonthDayDeserializer`
MonthDayDeserializer.`INSTANCE`
Methods in com.fasterxml.jackson.datatype.jsr310.deser that return MonthDayDeserializer
Modifier and Type
Method
Description
`protected MonthDayDeserializer`
MonthDayDeserializer.`withDateFormat(DateTimeFormatter dtf)`
`protected MonthDayDeserializer`
MonthDayDeserializer.`withLeniency(Boolean leniency)`
`protected MonthDayDeserializer`
MonthDayDeserializer.`withShape(com.fasterxml.jackson.annotation.JsonFormat.Shape shape)`
Constructors in com.fasterxml.jackson.datatype.jsr310.deser with parameters of type MonthDayDeserializer
Modifier
Constructor
Description
`protected`
`MonthDayDeserializer(MonthDayDeserializer base, Boolean leniency)`
Since 2.12